Bug 21593 - more fails; setenv MORE "-d -s"; more .login
Summary: more fails; setenv MORE "-d -s"; more .login
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 7.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-01 17:37 UTC by Mr. Berkley Shands
Modified: 2007-04-18 16:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 18:35:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mr. Berkley Shands 2000-12-01 17:37:46 UTC
root@blackcat.arl.wustl.edu /root> setenv MORE "-d -s"
root@blackcat.arl.wustl.edu /root> more .login
more: unknown option "--"
usage: more [-dflpcsu] [+linenum | +/pattern] name1 name2 ...
root@blackcat.arl.wustl.edu /root> setenv MORE -d
root@blackcat.arl.wustl.edu /root> more .login
more: unknown option "--"
usage: more [-dflpcsu] [+linenum | +/pattern] name1 name2 ...
root@blackcat.arl.wustl.edu /root> setenv MORE -this_is_broken
root@blackcat.arl.wustl.edu /root> more .login
more: unknown option "--"
usage: more [-dflpcsu] [+linenum | +/pattern] name1 name2 ...

No MORE or empty MORE (setenv MORE "") and more works fine.
Shows on pinstripe/7.0 intel and 7.0 on alpha.

Comment 1 Erik Troan 2001-02-08 00:35:05 UTC
This works fine for me in util-linux-2.10m-12, which shipped with 7.0, as well
as the latest util-linux from rawhide. I tried it with both tcsh (which seems to
be your shell?) and bash.

Are you still seeing this?

Comment 2 Len Moss 2001-06-26 00:33:35 UTC
FYI, we have observed this problem in util-linux-2.10p-3 running under the VA
Linux edition of RedHat 6.2.  It appears to be fixed on our standard RedHat 7.1
systems, which are running util-linux-2.10s-12.



Note You need to log in before you can comment on or make changes to this bug.